### Method

# Foundry FileSearchOptions set_search_text

since: 1.1

#### Declaration [src]

    void
    foundry_file_search_options_set_search_text (
      FoundryFileSearchOptions* self,
      const char* search_text
    )

#### Description [src]

Sets the search text.

Available since: 1.1

Sets property | `Foundry.FileSearchOptions:search-text`

#### Parameters

`search_text`

  Type: `const char*`

  The text to search for.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.